{"openapi":"3.0.0","info":{"version":"3.9.0","title":"Easy Project API","description":"https://app.swaggerhub.com/apis/easysoftware/EasyProject","contact":{"name":"Easy Software","email":"podpora@easyproject.cz","url":"https://www.easyproject.cz"},"license":{"name":"GPLv3"}},"security":[{"key":[],"headerKey":[]}],"tags":[{"name":"Attachment","description":"Attachment API"},{"name":"Blue spice","description":"Blue Spice API"},{"name":"Custom field","description":"CustomField API"},{"name":"Document","description":"Document object with all its details"},{"name":"Easy async export","description":"EasyAsyncExports API"},{"name":"Easy contact","description":"EasyContact API"},{"name":"Easy contract","description":"EasyContract API"},{"name":"Easy crm case","description":"Crm Case API"},{"name":"Easy entity activity","description":"EasyEntityActivities API"},{"name":"Easy entity import","description":"EasyEntityImports API"},{"name":"Easy helpdesk user","description":"EasyHelpdeskUser API"},{"name":"Easy invoice entity","description":"EasyInvoiceEntity API"},{"name":"Easy lead","description":"EasyLead API"},{"name":"Easy menu item","description":"MenuItem API"},{"name":"Easy mind map","description":"Easy Mind Maps API"},{"name":"Easy one time contract","description":"EasyOneTimeContract API"},{"name":"Easy partner","description":"EasyPartner API"},{"name":"Easy personal contact","description":"EasyPersonalContact API"},{"name":"Easy personal contact entity assignment","description":"Add EasyStakeholder to Project API"},{"name":"Easy plugin","description":"EasyPlugin API"},{"name":"Easy price book quote","description":"EasyPriceBookQuote API"},{"name":"Easy r4a","description":"R4a API"},{"name":"Easy server","description":"EasyServer API"},{"name":"Easy setting","description":"Manage EasySetting remotely"},{"name":"Easy stakeholder","description":"EasyStakeholder API"},{"name":"Easy time based contract","description":"EasyTimeBasedContract API"},{"name":"Easy virtual request","description":"Detail of request for VM"},{"name":"Easy web application","description":"EWA API"},{"name":"Easy web hook","description":"EasyWebHook API"},{"name":"Group","description":"Groups API"},{"name":"Issue","description":"Tasks API"},{"name":"Membership","description":"Membership object with all its details"},{"name":"Project","description":"Projects API"},{"name":"Project documents","description":"A list of Project Documents with all its details"},{"name":"Project membership","description":"A list of Project Memberships with all its details"},{"name":"Project template","description":"ProjectTemplates API"},{"name":"Search","description":"Search API"},{"name":"Time entry","description":"Spent time API"},{"name":"User","description":"Users API"},{"name":"Version","description":"Milestones API"},{"name":"easy_sendgrid/campaign","description":"EasySendgridCampaign API"}],"paths":{"/attachments/{id}.{format}":{"get":{"summary":"Get Attachment","tags":["Attachment"],"operationId":"getAttachment","parameters":[{"name":"id","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the attachment","content":{"application/json":{"schema":{"type":"object","properties":{"attachment":{"$ref":"#/components/schemas/Attachment"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Attachment"}}}}},"description":"Use this method to get an attachment based on your specification. <br/>\nTo successfully call a method, specify the format of response (<i>format</i>) and enter an ID of attachment (<i>id</i>) in the <b>Path</b>. <br/>\nAlso, enter in the <b>Header</b> your preferred security format. <br/>\nAn object with all possible parameters is returned in the API call response. See the schema below.<br/>\n"},"delete":{"summary":"Destroy of the Attachment","tags":["Attachment"],"operationId":"deleteAttachment","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}},"description":"Use this API call to simply delete the attachment. <br/>\nTo successfully call a method, specify the format of response <i>format</i> and enter an ID of attachment (<i>id</i>) in the <b>Path</b>. <br/>\nAlso, enter in the <b>Header</b> your preferred security format. <br/>\nThis API call returns only the status <b>204</b> and an OK message. <br/>\nBefore using this method, check that you have system permissions to use DELETE methods.\n"}},"/uploads.{format}":{"post":{"summary":"Upload file to server","tags":["Attachment"],"operationId":"uploadFileToServer","description":"Use this method to upload file to server. <br/>\n                                             To successfully call a method, specify format of response (<i> format</i> ) in the <b>Path</b>. <br/>\nRequest <b>Body</b> is the file content. <br/>\nAlso, enter in the <b>Header</b> your preferred security format. <br/>\nThis API method returns <b>201</b> status with several paramethers. Check description bellow.\n","requestBody":{"description":"Request body is the file content","required":true,"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"upload":{"$ref":"#/components/schemas/UploadResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/UploadResponse"}}}}}}},"/attach.{format}":{"post":{"summary":"Attach file to entity","tags":["Attachment"],"requestBody":{"required":true,"description":"entity_type and entity_id correspond with entity the attachment will be attached to","content":{"application/json":{"schema":{"type":"object","properties":{"attach":{"$ref":"#/components/schemas/AttachRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/AttachRequest"}}}},"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"ok"}}}},"/blue_spice_oauth/setup.{format}":{"post":{"summary":"Setup API connection for BS in Easy","tags":["Blue spice"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Connection tokens from BS to EASY","required":true,"content":{"application/json":{"schema":{"type":"object","xml":{"name":"oauth_configuration","wrapped":true},"properties":{"base_url":{"type":"string","description":"OAuth base url"},"client_id":{"type":"string","description":"OAuth client ID/key"},"client_secret":{"type":"string","description":"OAuth client secret token"}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"oauth_configuration","wrapped":true},"properties":{"base_url":{"type":"string","description":"OAuth base url"},"client_id":{"type":"string","description":"OAuth client ID/key"},"client_secret":{"type":"string","description":"OAuth client secret token"}}}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"204":{"description":"ok"}}}},"/easy_sendgrid/campaigns.{format}":{"get":{"summary":"List of EasySendgrid::Campaigns","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy sendgrid/campaign"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_sendgrid/campaigns","wrapped":true},"properties":{"easy_sendgrid/campaigns":{"type":"array","items":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_sendgrid/campaigns","wrapped":true},"properties":{"easy_sendgrid/campaigns":{"type":"array","items":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create EasySendgrid::Campaign","tags":["Easy sendgrid/campaign"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasySendgrid::Campaign","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_sendgrid/campaign":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_sendgrid/campaign":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}}}}},"/easy_sendgrid/campaigns/{id}.{format}":{"get":{"summary":"Get EasySendgrid::Campaign","tags":["Easy sendgrid/campaign"],"operationId":"getEasySendgrid::Campaign","parameters":[{"name":"id","in":"path","description":"ID of the easysendgrid::campaign","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easysendgrid::campaign","content":{"application/json":{"schema":{"type":"object","properties":{"easy_sendgrid/campaign":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}}}},"put":{"summary":"Update EasySendgrid::Campaign","tags":["Easy sendgrid/campaign"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easysendgrid::campaign","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasySendgrid::Campaign","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_sendgrid/campaign":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_sendgrid/campaign":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasySendgrid::CampaignApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasySendgrid::Campaign","tags":["Easy sendgrid/campaign"],"operationId":"deleteEasySendgrid::Campaign","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easysendgrid::campaign","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/custom_fields.{format}":{"post":{"summary":"Create CustomField","tags":["Custom field"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"type","description":"Name of custom field class","in":"query","schema":{"type":"string","example":"IssueCustomField","enum":["IssueCustomField","ProjectCustomField","UserCustomField"]}}],"requestBody":{"description":"Create CustomField","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"custom_field":{"$ref":"#/components/schemas/CustomFieldApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/CustomFieldApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"custom_field":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}}}},"get":{"summary":"List of CustomFields","description":"","tags":["Custom field"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"custom_fields","wrapped":true},"properties":{"custom_fields":{"type":"array","items":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"custom_fields","wrapped":true},"properties":{"custom_fields":{"type":"array","items":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}}}}},"401":{"description":"not authorized"}}}},"/custom_fields/{id}.{format}":{"get":{"summary":"Get CustomField","tags":["Custom field"],"operationId":"getCustomField","parameters":[{"name":"id","in":"path","description":"ID of the customfield","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the customfield","content":{"application/json":{"schema":{"type":"object","properties":{"custom_field":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/CustomFieldApiResponse"}}}}}},"put":{"summary":"Update CustomField","tags":["Custom field"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the customfield","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given CustomField","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"custom_field":{"$ref":"#/components/schemas/CustomFieldApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/CustomFieldApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"204":{"description":"ok"}}},"delete":{"summary":"Destroy of the CustomField","tags":["Custom field"],"operationId":"deleteCustomField","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the customfield","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/documents/{id}.{format}":{"get":{"summary":"Get Document","tags":["Document"],"operationId":"getDocument","parameters":[{"name":"id","in":"path","description":"ID of the document","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the document","content":{"application/json":{"schema":{"type":"object","properties":{"document":{"$ref":"#/components/schemas/DocumentApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/DocumentApiResponse"}}}}}},"put":{"summary":"Update Document","tags":["Document"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the document","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given Document","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"document":{"$ref":"#/components/schemas/DocumentApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/DocumentApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"document":{"$ref":"#/components/schemas/DocumentApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/DocumentApiResponse"}}}}}},"delete":{"summary":"Destroy of the Document","tags":["Document"],"operationId":"deleteDocument","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the document","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/projects/{project_id}/documents.{format}":{"get":{"summary":"Retrieve documents of the Project with specified id","tags":["Document","Project documents"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"project_id","in":"path","description":"ID of Project","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","properties":{"groups":{"type":"array","items":{"$ref":"#/components/schemas/DocumentsGroupApiResponse"}}}}},"application/xml":{"schema":{"type":"object","properties":{"groups":{"type":"array","items":{"$ref":"#/components/schemas/DocumentsGroupApiResponse"}}}}}}}}},"post":{"summary":"Create a document in the Project with specified id","tags":["Document","Project documents"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"project_id","in":"path","description":"ID of Project","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Create Document","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"document":{"$ref":"#/components/schemas/ProjectDocumentApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/ProjectDocumentApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"document":{"$ref":"#/components/schemas/DocumentApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/DocumentApiResponse"}}}}}}},"/easy_async_exports.{format}":{"get":{"summary":"List of EasyAsyncExports","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy async export"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_async_exports","wrapped":true},"properties":{"easy_async_exports":{"type":"array","items":{"$ref":"#/components/schemas/EasyAsyncExportApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_async_exports","wrapped":true},"properties":{"easy_async_exports":{"type":"array","items":{"$ref":"#/components/schemas/EasyAsyncExportApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}}},"/easy_async_exports/{id}.{format}":{"delete":{"summary":"Destroy of the EasyAsyncExport","tags":["Easy async export"],"operationId":"deleteEasyAsyncExport","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easyasyncexport","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/easy_cloud_updates/trials.{format}":{"get":{"summary":"Update BigDemo servers","description":"Request for update all related trial servers, BigDemo servers","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_product_release_id","description":"ID of product release","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EasyCloudUpdateApiResponse"}}}}}},"post":{"summary":"Schedule update for all BigDemo servers of selected product release","description":"Process given Easy Servers for update and plan update via node-api service on trial_server","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok"}},"requestBody":{"description":"Schedule update request","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"schedule_time":{"example":"16:00","description":"Time of update in format HH:MM. Use `now` for immediate update."},"docker_image":{"example":"docker.registry.easy.cz/stable:v12.9.0","description":"Docker image to be used for update"},"easy_server_ids":{"type":"array","items":{"type":"integer","example":"123","description":"EasyServers::Application (bigdemo) ID"}}}}}}}}},"/easy_cloud_updates/clients.{format}":{"get":{"summary":"Update client instances","description":"Request for update all client instances related to this release","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_product_release_id","description":"ID of product release","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EasyCloudUpdateApiResponse"}}}}}},"post":{"summary":"Schedule update for all applications of selected product release","description":"Process given Easy Web Applications for update and plan update via node-api service","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok"}},"requestBody":{"description":"Schedule update request","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"schedule_time":{"example":"16:00","description":"Time of update in format HH:MM. Use `now` for immediate update."},"docker_image":{"example":"docker.registry.easy.cz/stable:v12.9.0","description":"Docker image to be used for update"},"easy_web_application_ids":{"type":"array","items":{"type":"integer","example":"123","description":"Easy web application ID"}}}}}}}}},"/easy_cloud_updates/easy_web_application/{easy_web_application_id}.{format}":{"get":{"summary":"Update single EWA","description":"Request for update one Easy Web Application, usually called by tools button","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_web_application_id","description":"ID of Easy Web Application for ep-update","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EasyCloudUpdateApiResponse"}}}}}},"post":{"summary":"Schedule update for all applications of selected product release","description":"Process given Easy Web Applications for update and plan update via node-api service","tags":["EasyCloudUpdate API"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_web_application_id","description":"ID of Easy Web Application for ep-update","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok"}},"requestBody":{"description":"Schedule update request","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"schedule_time":{"example":"16:00","description":"Time of update in format HH:MM. Use `now` for immediate update."},"docker_image":{"example":"docker.registry.easy.cz/stable:v12.9.0","description":"Docker image to be used for update"}}}}}}}},"/easy_contacts.{format}":{"get":{"summary":"List of EasyContacts","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy contact"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}},{"name":"include","description":"explicitly specify the associations you want to be included in the query result (separated by a comma)\n\n* **author** (Include author)","in":"query","schema":{"type":"array","items":{"type":"string","enum":["author"]}}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_contacts","wrapped":true},"properties":{"easy_contacts":{"type":"array","items":{"$ref":"#/components/schemas/EasyContactApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_contacts","wrapped":true},"properties":{"easy_contacts":{"type":"array","items":{"$ref":"#/components/schemas/EasyContactApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create EasyContact","tags":["Easy contact"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasyContact","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_contact":{"$ref":"#/components/schemas/EasyContactApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContactApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_contact":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}}}}},"/easy_contacts/{id}.{format}":{"get":{"summary":"Get EasyContact","tags":["Easy contact"],"operationId":"getEasyContact","parameters":[{"name":"id","in":"path","description":"ID of the easycontact","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"include","description":"explicitly specify the associations you want to be included in the query result (separated by a comma)\n\n* **author** (Include author)","in":"query","schema":{"type":"array","items":{"type":"string","enum":["author"]}}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easycontact","content":{"application/json":{"schema":{"type":"object","properties":{"easy_contact":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}}}},"put":{"summary":"Update EasyContact","tags":["Easy contact"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easycontact","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasyContact","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_contact":{"$ref":"#/components/schemas/EasyContactApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContactApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_contact":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContactApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasyContact","tags":["Easy contact"],"operationId":"deleteEasyContact","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easycontact","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/easy_contracts.{format}":{"get":{"summary":"List of EasyContracts","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy contract"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}},{"name":"include","description":"explicitly specify the associations you want to be included in the query result (separated by a comma)\n\n* **journals** (Include all journals with details)\n* **prices** (Include price book prices)","in":"query","schema":{"type":"array","items":{"type":"string","enum":["journals","prices"]}}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_contracts","wrapped":true},"properties":{"easy_contracts":{"type":"array","items":{"$ref":"#/components/schemas/EasyContractApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_contracts","wrapped":true},"properties":{"easy_contracts":{"type":"array","items":{"$ref":"#/components/schemas/EasyContractApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}}},"/easy_contracts/{id}.{format}":{"get":{"summary":"Get EasyContract","tags":["Easy contract"],"operationId":"getEasyContract","parameters":[{"name":"id","in":"path","description":"ID of the easycontract","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"include","description":"explicitly specify the associations you want to be included in the query result (separated by a comma)\n\n* **journals** (Include all journals with details)\n* **prices** (Include price book prices)","in":"query","schema":{"type":"array","items":{"type":"string","enum":["journals","prices"]}}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easycontract","content":{"application/json":{"schema":{"type":"object","properties":{"easy_contract":{"$ref":"#/components/schemas/EasyContractApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyContractApiResponse"}}}}}}},"/easy_crm_cases.{format}":{"get":{"summary":"List of EasyCrmCases","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy crm case"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_crm_cases","wrapped":true},"properties":{"easy_crm_cases":{"type":"array","items":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_crm_cases","wrapped":true},"properties":{"easy_crm_cases":{"type":"array","items":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create EasyCrmCase","tags":["Easy crm case"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasyCrmCase","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_crm_case":{"$ref":"#/components/schemas/EasyCrmCaseApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyCrmCaseApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_crm_case":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}}}}},"/easy_crm_cases/{id}.{format}":{"get":{"summary":"Get EasyCrmCase","tags":["Easy crm case"],"operationId":"getEasyCrmCase","parameters":[{"name":"id","in":"path","description":"ID of the easycrmcase","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easycrmcase","content":{"application/json":{"schema":{"type":"object","properties":{"easy_crm_case":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}}}},"put":{"summary":"Update EasyCrmCase","tags":["Easy crm case"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easycrmcase","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasyCrmCase","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_crm_case":{"$ref":"#/components/schemas/EasyCrmCaseApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyCrmCaseApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_crm_case":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyCrmCaseApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasyCrmCase","tags":["Easy crm case"],"operationId":"deleteEasyCrmCase","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easycrmcase","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/documents.{format}":{"get":{"summary":"Retrieve documents","tags":["Document"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","properties":{"documents":{"type":"array","items":{"$ref":"#/components/schemas/DocumentApiResponse"}}}}},"application/xml":{"schema":{"type":"object","properties":{"documents":{"type":"array","items":{"$ref":"#/components/schemas/DocumentApiResponse"}}}}}}}}}},"/easy_entity_activities.{format}":{"post":{"summary":"Create EasyEntityActivity","tags":["Easy entity activity"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasyEntityActivity","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_entity_activity":{"$ref":"#/components/schemas/EasyEntityActivityApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityActivityApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_entity_activity":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}}}}},"/easy_entity_activities/{id}.{format}":{"get":{"summary":"Get EasyEntityActivity","tags":["Easy entity activity"],"operationId":"getEasyEntityActivity","parameters":[{"name":"id","in":"path","description":"ID of the easyentityactivity","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easyentityactivity","content":{"application/json":{"schema":{"type":"object","properties":{"easy_entity_activity":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}}}},"put":{"summary":"Update EasyEntityActivity","tags":["Easy entity activity"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easyentityactivity","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasyEntityActivity","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_entity_activity":{"$ref":"#/components/schemas/EasyEntityActivityApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityActivityApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_entity_activity":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityActivityApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasyEntityActivity","tags":["Easy entity activity"],"operationId":"deleteEasyEntityActivity","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easyentityactivity","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/easy_entity_imports/{id}/import.{format}":{"post":{"summary":"Import data","tags":["Easy entity import"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"Id of import entity","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":false,"description":"Import data from source","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EasyEntityImportApiRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityImportApiRequest"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/EasyEntityImportApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EasyEntityImportApiResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyEntityImportApiResponse"}}}}}}},"/easy_helpdesk_users.{format}":{"get":{"summary":"List of EasyHelpdeskUsers","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy helpdesk user"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_helpdesk_users","wrapped":true},"properties":{"easy_helpdesk_users":{"type":"array","items":{"$ref":"#/components/schemas/EasyHelpdeskUserApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_helpdesk_users","wrapped":true},"properties":{"easy_helpdesk_users":{"type":"array","items":{"$ref":"#/components/schemas/EasyHelpdeskUserApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create new Helpdesk User","tags":["Easy helpdesk user"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"required":true,"description":"Copy template parameters","content":{"application/json":{"schema":{"type":"object","properties":{"easy_helpdesk_user":{"type":"object","$ref":"#/components/schemas/HelpdeskUserApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/HelpdeskUserApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}}}}},"/easy_helpdesk_users/{id}.{format}":{"get":{"summary":"Get EasyHelpdeskUser","tags":["Easy helpdesk user"],"operationId":"getEasyHelpdeskUser","parameters":[{"name":"id","in":"path","description":"ID of the easyhelpdeskuser","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easyhelpdeskuser","content":{"application/json":{"schema":{"type":"object","properties":{"easy_helpdesk_user":{"$ref":"#/components/schemas/EasyHelpdeskUserApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyHelpdeskUserApiResponse"}}}}}},"put":{"summary":"Update the Helpdesk User","tags":["Easy helpdesk user"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of EasyHelpdeskUser","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"description":"Update Helpdesk User","content":{"application/json":{"schema":{"type":"object","properties":{"easy_helpdesk_user":{"type":"object","$ref":"#/components/schemas/HelpdeskUserApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/HelpdeskUserApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}}}},"delete":{"summary":"Destroy the Helpdesk User","description":"You can destroy only Helpdesk User who does not have tasks assigned to them.","tags":["Easy helpdesk user"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of EasyHelpdeskUser","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}}}}},"/easy_invoice_entities.{format}":{"get":{"summary":"List of EasyInvoiceEntities","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy invoice entity"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_invoice_entities","wrapped":true},"properties":{"easy_invoice_entities":{"type":"array","items":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_invoice_entities","wrapped":true},"properties":{"easy_invoice_entities":{"type":"array","items":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create EasyInvoiceEntity","tags":["Easy invoice entity"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasyInvoiceEntity","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_invoice_entity":{"$ref":"#/components/schemas/EasyInvoiceEntityApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyInvoiceEntityApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_invoice_entity":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}}}}},"/easy_invoice_entities/{id}.{format}":{"get":{"summary":"Get EasyInvoiceEntity","tags":["Easy invoice entity"],"operationId":"getEasyInvoiceEntity","parameters":[{"name":"id","in":"path","description":"ID of the easyinvoiceentity","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easyinvoiceentity","content":{"application/json":{"schema":{"type":"object","properties":{"easy_invoice_entity":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}}}},"put":{"summary":"Update EasyInvoiceEntity","tags":["Easy invoice entity"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easyinvoiceentity","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasyInvoiceEntity","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_invoice_entity":{"$ref":"#/components/schemas/EasyInvoiceEntityApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyInvoiceEntityApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_invoice_entity":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyInvoiceEntityApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasyInvoiceEntity","tags":["Easy invoice entity"],"operationId":"deleteEasyInvoiceEntity","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easyinvoiceentity","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"ok"}}}},"/easy_leads.{format}":{"get":{"summary":"List of EasyLeads","description":"For filtering send parameter `set_filter=1` and specify filters","tags":["Easy lead"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"easy_query_q","description":"free-text filter of current entity","in":"query","schema":{"type":"string"}},{"name":"set_filter","description":"enable filter through Easy Query","in":"query","schema":{"type":"boolean"}},{"name":"limit","description":"the number of items to be present in the response (default is 25, maximum is 100)","in":"query","schema":{"type":"integer"}},{"name":"offset","description":"the offset of the first object to retrieve","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","xml":{"name":"easy_leads","wrapped":true},"properties":{"easy_leads":{"type":"array","items":{"$ref":"#/components/schemas/EasyLeadApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}},"application/xml":{"schema":{"type":"object","xml":{"name":"easy_leads","wrapped":true},"properties":{"easy_leads":{"type":"array","items":{"$ref":"#/components/schemas/EasyLeadApiResponse"}},"total_count":{"type":"number","example":75,"xml":{"attribute":true}},"offset":{"type":"number","example":0,"xml":{"attribute":true}},"limit":{"type":"number","example":25,"xml":{"attribute":true}}}}}}},"401":{"description":"not authorized"}}},"post":{"summary":"Create EasyLead","tags":["Easy lead"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"requestBody":{"description":"Create EasyLead","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_lead":{"$ref":"#/components/schemas/EasyLeadApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyLeadApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"201":{"description":"created","content":{"application/json":{"schema":{"type":"object","properties":{"easy_lead":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}}}}},"/easy_leads/{id}.{format}":{"get":{"summary":"Get EasyLead","tags":["Easy lead"],"operationId":"getEasyLead","parameters":[{"name":"id","in":"path","description":"ID of the easylead","required":true,"schema":{"type":"integer"}},{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"detail of the easylead","content":{"application/json":{"schema":{"type":"object","properties":{"easy_lead":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}}}},"put":{"summary":"Update EasyLead","tags":["Easy lead"],"parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easylead","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"Update given EasyLead","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"easy_lead":{"$ref":"#/components/schemas/EasyLeadApiRequest"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyLeadApiRequest"}}}},"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"unprocessable entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}}},"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"easy_lead":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}},"application/xml":{"schema":{"$ref":"#/components/schemas/EasyLeadApiResponse"}}}}}},"delete":{"summary":"Destroy of the EasyLead","tags":["Easy lead"],"operationId":"deleteEasyLead","parameters":[{"name":"format","description":"Specify format of response. Only allowed values are .json and .xml.","in":"path","required":true,"schema":{"type":"string","enum":["json","xml"]}},{"name":"id","in":"path","description":"ID of the easylead","required":true,"schema":{"type":"integer"}}],"responses":{"401":{"description":"not authorized"},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse403"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResponse404"}}}},"406":{"description":"not allowed"},"429":{"description":"rate limiting excee
[...]
